petsc-3.12.4 2020-02-04
Report Typos and Errors

# TSForwardGetIntegralGradients

Returns the forward sensitivities ofthe integral term.

### Synopsis

    #include "petscts.h"
    PetscErrorCode TSForwardGetIntegralGradients(TS ts,PetscInt *numfwdint,Vec **vp)

### Input Parameter

ts -the TS context obtained from TSCreate()

### Output Parameter

vp = the vectors containing the gradients for each integral w.r.t. parameters -

### See Also

TSForwardSetSensitivities(), TSForwardSetIntegralGradients(), TSForwardGetIntegralGradients(), TSForwardStep()

### Level

deprecated

### Location

src/ts/interface/sensitivity/tssen.c
Index of all Sensitivity routines
Table of Contents for all manual pages
Index of all manual pages